Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(20)  |  Call(20)  |  Derive(0)  |  Import(0)

src/r/h/rhinopython-HEAD/scripts/rhinoscript/surface.py   rhinopython(Download)
    if id: object_ids = [id]
    curves = [rhutil.coercecurve(id,-1,True) for id in object_ids]
    breps = Rhino.Geometry.Brep.CreatePlanarBreps(curves)
    if breps:
        rc = [scriptcontext.doc.Objects.AddBrep(brep) for brep in breps]

src/h/o/Honeybee-HEAD/src/Honeybee_Glazing based on ratio.py   Honeybee(Download)
        joinedEdgesSimplified = joinedEdges.Simplify(simplificationOpt, sc.doc.ModelAbsoluteTolerance, sc.doc.ModelAngleToleranceRadians)
        try:
            reconstructSrf = rc.Geometry.Brep.CreatePlanarBreps(joinedEdgesSimplified)[0]
        except:
            reconstructSrf = srf
    if planarBool == True:
        try:
            baseSrf = rc.Geometry.Brep.CreatePlanarBreps(joinedEdgesSimplified)[0]
            createdNew = True
        except:
 
        try:
            punchedGeometries = rc.Geometry.Brep.CreatePlanarBreps(glzCrvs + jBaseCrvList)
 
            if len(punchedGeometries)>1:
                crvDif = rc.Geometry.Curve.CreateBooleanDifference(jBaseCrvList[0], glzCrvs)
                punchedGeometries = rc.Geometry.Brep.CreatePlanarBreps(crvDif)

src/h/o/Honeybee-HEAD/src/Honeybee_Honeybee.py   Honeybee(Download)
            if self.isPlanar:
                # works for planar surfaces
                punchedGeometries = rc.Geometry.Brep.CreatePlanarBreps(glzCrvs + jBaseCrvList)
                if len(punchedGeometries) == 1: self.punchedGeometry = punchedGeometries[0]
                else:
                    for crv in glzCrvsArray: glzCrvs.append(crv)
 
                    punchedGeometries = rc.Geometry.Brep.CreatePlanarBreps(glzCrvs + jBaseCrvList)
 
                if len(punchedGeometries)>1:
                    crvDif = rc.Geometry.Curve.CreateBooleanDifference(jBaseCrvList[0], glzCrvs)
                    punchedGeometries = rc.Geometry.Brep.CreatePlanarBreps(crvDif)

src/l/a/ladybug-HEAD/src/Ladybug_SolarFan.py   ladybug(Download)
            try:
                solarFanInit.append(rc.Geometry.Brep.CreateFromLoft([curve, baseSrfCrv], rc.Geometry.Point3d.Unset, rc.Geometry.Point3d.Unset, rc.Geometry.LoftType.Normal, False)[0])
                shadingSrfs.append(rc.Geometry.Brep.CreatePlanarBreps(curve)[0])
            except: pass
 

src/l/a/ladybug-HEAD/src/Ladybug_SolarEnvelope.py   ladybug(Download)
            try:
                solarFansInit.append(rc.Geometry.Brep.CreateFromLoft([baseSrfCrv, curve], rc.Geometry.Point3d.Unset, rc.Geometry.Point3d.Unset, rc.Geometry.LoftType.Normal, False)[0])
                shadingSrfs.append(rc.Geometry.Brep.CreatePlanarBreps(curve)[0])
            except: pass
 

src/h/o/Honeybee-HEAD/src/Honeybee_Import rad.py   Honeybee(Download)
        if not isCurveDup(seg, plSeg): borderLines.append(seg)
    border = rc.Geometry.Curve.JoinCurves(borderLines)
    srf = rc.Geometry.Brep.CreatePlanarBreps(border)
    if srf: return srf[0]
    else: return pl

src/l/a/ladybug-HEAD/src/ladybug_ladybug.py   ladybug(Download)
 
            # create the surface
            srfs = rc.Geometry.Brep.CreatePlanarBreps(joindCrvs)
 
 
                for crv in joindCrvs:
                    projectedCrvs.append(rc.Geometry.Curve.ProjectToPlane(crv, plane))
                srfs = rc.Geometry.Brep.CreatePlanarBreps(projectedCrvs)
 
            if len(text[n].strip()) == len(srfs)+ extraSrfCount:

src/l/a/ladybug-HEAD/src/Ladybug_ShadingDesigner.py   ladybug(Download)
        for curve in unionedProjectedCrvsCollection:
            if curve != "N":
                try: finalShdSrfs.extend(rc.Geometry.Brep.CreatePlanarBreps(curve))
                except: finalShdSrfs.extend(curve)
            else: finalShdSrfs.append(None)

src/l/a/ladybug-HEAD/src/Ladybug_view Rose.py   ladybug(Download)
                print "Boolean Diffrence Failed!"
 
        viewRose = rc.Geometry.Brep.CreatePlanarBreps(studyC)
 
        mergedBlockedViews = mergeDomains(blockedViews)
 
    else:
        viewRose = rc.Geometry.Brep.CreatePlanarBreps(rc.Geometry.Circle(testPlane, 1.05 * radius).ToNurbsCurve())

src/h/o/Honeybee-HEAD/src/Honeybee_Import idf.py   Honeybee(Download)
            pts.append(pts[0])
            polyline = rc.Geometry.Polyline(pts).ToNurbsCurve()
            geometry = rc.Geometry.Brep.CreatePlanarBreps(polyline)[0]
            #create the surface
            thisEPSrf = hb_EPZoneSurface(geometry, 1, surfaceName)
            pts.append(pts[0])
            polyline = rc.Geometry.Polyline(pts).ToNurbsCurve()
            geometry = rc.Geometry.Brep.CreatePlanarBreps(polyline)[0]
            #create the surface
 

  1 | 2  Next